Name:           fotowall
Version:        0.9
Release:        5%{?dist}
Epoch:          1
Summary:        Photo collection creativity tool

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.enricoros.com/opensource/fotowall/
Source0:        http://%{name}.googlecode.com/files/Fotowall-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel >= 4.4 libv4l-devel
BuildRequires:  desktop-file-utils

%description
FotoWall is a creative tool that allows you to layout your photos or pictures
in a personal way. You can add pictures, then resize, move,
change colors, text, shadows, etc.. 

%prep
%setup -q -n Fotowall-%{version}
# for hidden-file-or-dir warning 
sed -i -e "s/\.build/build/" %{name}.pro
# Unused file
sed -i -e "/scripts/d" -e "s@man\ \\\@man@" %{name}.pro
# for v4l1 compatibility
sed -i -e 's/linux\/videodev.h/libv4l1-videodev.h/' 3rdparty/videocapture/VideoDevice.h

%build
qmake-qt4
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT
desktop-file-install --vendor="" \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
  $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc GPL_V2 README.markdown
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/man/man?/%{name}.?.gz

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Feb 13 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.9-3
- Add libv4l-devel (and good include usage) for v4l1 compatibility
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
* Thu Dec  8 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.9-1
- Update to 0.9
* Sun Sep 20 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.8.1-1
- Update to 0.8.1
* Mon Aug  3 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.7.1-1
- Update to 0.7.1
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Wed May  6 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.6.1-1
- Rebuild for 0.6.1
* Wed Apr 22 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.5-1
- Rebuild for 0.5
* Sat Apr  4 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.4-1
- Rebuild for 0.4
* Fri Mar 13 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.3.1-1
- Rebuild for 0.3.1
* Sat Feb 28 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.21-3
- Fix desktop file
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Sun Jul 20 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.21-1
- Initial build
